```
TO fix the error 
we need to use only those AZ of our region where var.instance_type (# from variables) is supported
```

```
Steps

1. refer - get-instancetype-supported-per-az-in-a-region.tf
2. once you understand step1 refer ec2-instance.tf

```